/********************************************************************
*   DrvWinSock.c
*
*   Macintosh device specific socket implementation.
*
*   Copyright (c) 1994-1997, Willows Software Inc.  All rights reserved.
********************************************************************/

#include "DrvHook.h"


/********************************************************************
*	PrivateWinSockHook
********************************************************************/
DWORD PrivateWinSockHook(WORD wFunc, LPARAM dwParm1, LPARAM dwParm2, LPVOID lpStruct)
{
#pragma unused(dwParm1, dwParm2, lpStruct)

    switch (wFunc) {
	/* dwParam1 - compatibility mask */
	/* dwParm2 - init/exit flag */
	case DSUBSYSTEM_INIT:
	    return TRUE;

	case DSUBSYSTEM_GETCAPS:
	    return (DWORD) 0;

	/* lpStruct points to an EventRecord */
	case DSUBSYSTEM_EVENTS:
	    return (DWORD) 0;

	
	default:
	    return 0L;
	}

}
